# Mkinclude for deepconv/arare3 with ffc
#
# 2004/08/13  SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
# 2005/01/27  ODAKA Masatsugu    (odakker@gfd-dennou.org)
# 2005/04/21  SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)
# 2005/04/22  SUGIYAMA Ko-ichiro (sugiyama@gfd-dennou.org)

# set commands
#FC      = /usr/bin/frt -Am -Hu -Hs
#FC      = /usr/bin/frt -Am -Kfast
FC      = /usr/bin/frt -Am 
MAKE    = /usr/bin/make
RUNLIB  = /usr/bin/ar rv
CP      = /bin/cp
MV      = /bin/mv
RM      = /bin/rm
LN      = /bin/ln
RUBY    = /usr/bin/ruby	# for Generation documents
RD2     = /usr/bin/rd2  # for Generation RD documents
RDOC    = /usr/bin/rdoc # for Generation RDoc documents


#
# Install Directory
#
ARAREDIR = $(HOME)/work/deepconv/arare4
MODDIR   = $(ARAREDIR)/include
LIBDIR   = $(ARAREDIR)/lib
BINDIR   = $(ARAREDIR)/bin
SRCDIR   = $(ARAREDIR)/src
DOCDIR   = $(ARAREDIR)/doc
RDOCDIR  = $(DOCDIR)/dai3bu

INSTDIR     = $(HOME)
INSTMODDIR  = $(INSTDIR)/include
INSTLIBDIR  = $(INSTDIR)/lib
INSTBINDIR  = $(INSTDIR)/bin

#
# set Library Name
#
LIBNAME   = arare
NETCDFLIB = netcdf
GTOOLLIB  = gt4f90io
#LAPACKLIB = lapack_g95 
#LAPACKLIB = lapack_ffc 
LAPACKLIB = ssl2
#BLASLIB   = blas_g95
#BLASLIB   = blas_ffc
BLASLIB   = lapack_ffc -lblas_ffc


#
# set LIBFILE install directory.
#
# gtool4 Library and Modules Install Directory
#GTOOLDIR   = /usr/local/gt4f90io-g95
GTOOLDIR   = /usr/local/gt4f90io-ffc
GTOOLLIBDIR=$(GTOOLDIR)/lib
GTOOLMODDIR=$(GTOOLDIR)/include

# NetCDF Library and Modules Install Directory
#NETCDFDIR   =/usr/local/netcdf-g95
NETCDFDIR   =/usr/local/netcdf-ffc
NETCDFLIBDIR=$(NETCDFDIR)/lib
NETCDFMODDIR=$(NETCDFDIR)/include

# Linear Algebra Library Install Directory
#LAPACKLIBDIR =/usr/local/lib 
LAPACKLIBDIR =/usr/FFC/lib
BLASLIBDIR =/usr/local/lib 


#
# Document Setting
#
#
RUBYLIB = $(ARAREDIR)
CSS     = ./css/arare-rd2html.css
RDEXT   = /usr/lib/ruby/1.8/rd/rd2html-ext-lib
RDFLAG  = --with-part=html:include --out-code=euc --ref-extension \
	--native-inline \
	--head-element
CSSFLAG = --with-css=$(CSS)
RD2HTML = ${RD2} -r ${RDEXT} ${RDFLAG} ${CSSFLAG}

RDOCFLAG = --ignore-case --charset euc-jp --inline-source  \
           --op $(RDOCDIR) --title "Deepconv/arare documentations" 
RDOCHTML = ${RDOC} ${RDOCFLAG}
